List accounts

Search and list account objects with various filtering criteria.

The search criteria syntax supports various operators:

  • = Exact match (multiple values with ; for IN)
  • ~= Partial match (contains)
  • !=, >=, >, <, <= Comparisons
  • <> Between (separate with ;)
  • ! Is null
  • !! Is not null

Multiple criteria can be combined with , (AND). See project README.md for detailed examples and usage.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Search criteria for filtering accounts. Available fields:

  • id
  • first_name
  • last_name
  • email
  • phone
  • company
  • crm_key
  • crm
  • channel
  • division
  • tags
  • last_transacted
  • created
  • updated

Examples:

  • [email protected]
  • status=ACTIVE;PENDING
  • company~=Tech
  • created<>2024-01-01;2024-12-31
  • status=ACTIVE,email~=example.com
string

Sort order for results. Supports any field that criteria supports. Defaults to created;desc if not specified. Append ;desc for descending order. Separate multiple order fields with commas.

Examples:

  • order=updated
  • order=last_name;desc
  • order=company,created;desc
string

Fields to expand into full objects. Separate multiple fields with commas.

Available fields:

  • last_transaction (transaction object)
  • created_session (session object)
  • updated_session (session object)

Example: expand=last_transaction,created_session

integer

Maximum number of records to return

integer

Offset from first record

Responses

401

Invalid credentials (authentication is validated before instance key)

404

Instance not found (only checked after successful authentication)

Language
Credentials
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json